using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace Uploader
{
    static class AppMain
    {

        // The main class etc

        public static string webPath = null;
        public static string ftpPath = null;

        [STAThread] // note. Important.
        public static int Main(string[] args)
        {
            // init stuff. You want this.
            Application.EnableVisualStyles(); // allow skinning
            Application.SetCompatibleTextRenderingDefault(false);

            Config.Init();
            UploadForm frm = new UploadForm();

            for (int i = 0; i < args.Length; i++) {
                string arg = args[i];
                switch (arg) {
                    case "-webpath":
                        if (++i <= arg.Length) {
                            webPath = args[i];
                        }
                        break;
                    case "-ftppath":
                        if (++i <= arg.Length) {
                            ftpPath = args[i];
                        }
                        break;
                    default: 
                        frm.Filename = args[i];
                        break;
                }
            }
      
            Application.Run(frm); // blocking call. when form is closed, it returns.
                                  // runs a message queue 
            Config.End();

            return 0;
        }
    }
}